Create product operations

Create one or many new product operation rows for a product. The endpoint accepts up to 150 product operation rows and processes them in bulk. If rows are successfully created, 204 is returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

new product operation row details

boolean

Existing production operation lines are kept by default, and new lines will be added after the existing product operations. Set to false to delete all existing product operation lines for related products.

rows
array of objects
required
length between 1 and 150
rows*
number
required
1 to 2147483647
integer
1 to 2147483647

If operation ID is used to map the operation, then operation_name is ignored.

string

If operation name is used to map the operation then, we match to the existing operations by name. If a match is not found, a new one is created.

integer
1 to 2147483647

If resource ID is used to map the resource, then resource_name is ignored.

string

If resource name is used to map the resource then we match to the existing resources by name. If a match is not found, a new one is created.

string
enum
Defaults to process

Different operation types allows you to use different cost calculations depending on the type of product operation
Process: The process operation type is best for when products are individually built and time is the main driver of cost.
Setup: The setup operation type is best for setting up a machine for production where the production quantity doesn't affect cost.
Per unit: The per unit operation type is best when cost of time isn't a factor, but only the quantity of product made.
Fixed cost: The fixed cost operation type is useful for adding the expected extra costs that go into producing a product.

Allowed:
number
0 to 1000000000000000000

The expected cost of an operation, either total or per hour/unit of product (based on type). Total cost of the operation on a manufacturing order is calculated as follows:
process: cost = cost_parameter x planned_time_parameter (in hours) x product quantity
setup: cost = cost_parameter x planned_time_parameter (in hours)
perUnit: cost = cost_parameter x product quantity
fixed: cost = cost_parameter

number
0 to 1000000000000000000
deprecated

(This field is deprecated in favor of cost_parameter) The expected cost of an operation, either total or per hour/unit of product (based on type). Total cost of the operation on a manufacturing order is calculated as follows:
process: cost = cost_parameter x planned_time_parameter (in hours) x product quantity
setup: cost = cost_parameter x planned_time_parameter (in hours)
perUnit: cost = cost_parameter x product quantity
fixed: cost = cost_parameter

integer
0 to 2147483647

The planned duration of an operation, in seconds, to either manufacture one unit of a product or complete a manufacturing order (based on type).

integer
0 to 2147483647
deprecated

(This field is deprecated in favor of planned_time_parameter) The planned duration of an operation, in seconds, to either manufacture one unit of a product or complete a manufacturing order (based on type).

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Choose an example:
*/*
application/json